<section class="body-forgot-password ">
  <div id="fondo">
  </div>
  <div class="container">
    <div class="row padre">

      <div class="col-lg-6 col-md-12 col-sm-12 " style="padding: 5%">
        <mat-card class="mat-elevation-z4" style="padding: 5%; margin-top: 2%;">

          <div class="text-center">
            <div class="nav-item" ngbDropdown placement="bottom-center">
              <a class="nav-link position-relative" id="dropdownLang" ngbDropdownToggle>
                <img src="{{getFlagURL()}}" alt="English" class="langimg">
                <p class="d-none">Language</p>
              </a>
              <div ngbDropdownMenu aria-labelledby="dropdownLang" class="dropdownLang">
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('en')">
                  <img src="assets/img/flags/us.png" alt="English" class="langimg">
                  <span>English</span>
                </a>
                <a class="dropdown-item py-1 lang" href="javascript:;" (click)="ChangeLanguage('es')">
                  <img src="assets/img/flags/es.png" alt="Espa&ntilde;ol" class="langimg">
                  <span>Espa&ntilde;ol</span>
                </a>
              </div>
            </div>
            <br>
            <br>
          </div>
          <div class="logo col-lg-12 col-md-6 col-xs-12 col-sm-6 col-xl-6" style="height: inherit;" id="profile_photo">
            <img class="profile-pic" [src]="ruta">
          </div>
          <div class="text-center">
            <br>
            <h3 style="font-weight:bold">{{'login.forgotPassword' | translate}}</h3>
            <br>
            <!--  <p>{{ 'userLogin.description' | translate }}</p>-->
          </div>
          <form role="form" method="post" class="f1" [formGroup]="emailForm">
            <div class="containerForm col-lg-12 col-12 justify-content-center align-items-center">

              <label class="" for="f1-email"><span style="color:red;font-weight: bold;">*</span>
                {{'login.email' | translate}}</label>
              <div class="form-group">

                <input formControlName="email" type="email" name="f1-email"
                  placeholder="{{'login.email' | translate}}..." class="f1-email form-control" id="f1-email">
                <h6 *ngIf="!emailForm.controls['email'].valid && emailForm.controls['email'].touched">
                  <span class="badge badge-danger">{{'userRegister.requirdField' | translate}}</span>
                </h6>
              </div>
            </div>
            <div class="f1-buttons text-center">

              <button type="submit" class="btn btn-success" [disabled]="!emailForm.valid"
                (click)="forgotPassword()">{{'buttons.dispatch' | translate}}</button>
            </div>

          </form>

        </mat-card>
      </div>
    </div>
  </div>
</section>